<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * ChangeReservationDateHandler
 *
 * @package VSHM\Bus
 */
class ChangeReservationDateHandler implements Handler
{
    public function dispatch(Command $command)
    {
        /** @var $command ChangeReservationDate */
        $reservation = \VSHM\Providers\Reservations::provideBy(['id' => $command->getId()], TRUE);
        if ($reservation) {
            if ($command->getReference() === 'start') {
                $reservation['start'] = $command->getUnixTime();
            }
            if ($command->getReference() === 'end') {
                $reservation['end'] = $command->getUnixTime();
            }

            \VSHM\Providers\Reservations::update($reservation);
        }
    }
}