<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * ChangeReservationServiceHandler
 *
 * @package VSHM\Bus
 */
class ChangeReservationServiceHandler implements Handler
{
    public function dispatch(Command $command)
    {
        /** @var $command ChangeReservationService */
        $reservation = \VSHM\Providers\Reservations::provideBy(['id' => $command->getId()], TRUE);
        $service     = \VSHM\Providers\Services::provideBy(['id' => $command->getServiceId()], TRUE);
        if ($reservation && $service) {
            $reservation['serviceId'] = $command->getServiceId();
            \VSHM\Providers\Reservations::update($reservation);
        }
    }
}