<?php

namespace VSHM\Bus;

use VSHM\Providers\Reservations;

defined('ABSPATH') || exit;

/**
 * CleanExpiredReservationsHandler
 *
 * @package VSHM\Bus
 */
class CleanExpiredReservationsHandler implements Handler
{

    public function dispatch(Command $command)
    {
        /** @var $command CleanExpiredReservations */
        foreach (Reservations::provideBy(['status' => 'pending']) as $reservation) {

            if (apply_filters('tbk_is_reservation_expired', FALSE, $reservation, $command->getData())) {
                vshm()->bus->dispatch(new DeleteReservation($reservation['id']));
            }
        }


    }
}