<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * CreateApiToken
 *
 * @package VSHM\Bus
 */
class CreateApiToken implements Command
{
    /**
     * @var string
     */
    private $name;

    /**
     * @var string
     */
    private $token;

    /**
     * @var bool
     */
    private $readOnly;

    /**
     * @param      $token
     * @param      $name
     * @param      $readOnly
     */
    public function __construct($token, $name, $readOnly)
    {
        $this->token    = $token;
        $this->name     = $name;
        $this->readOnly = $readOnly;
    }

    /**
     * @return string
     */
    public function getToken(): string
    {
        return $this->token;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @return bool
     */
    public function getReadOnly()
    {
        return $this->readOnly;
    }


    public function getValue()
    {
        return [
            'token' => $this->token,
            'name'  => $this->name,
            'email' => $this->readOnly
        ];
    }

}