<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * CreateCustomer
 *
 * @package VSHM\Bus
 */
class CreateCustomer implements Command
{
    /**
     * @var string
     */
    private $id;

    /**
     * @var string
     */
    private $name;

    /**
     * @var string
     */
    private $email;

    /**
     * @var string
     */
    private $phone;

    /**
     * @var int
     */
    private $wpUserId;

    /**
     * @var string
     */
    private $timezone;

    /**
     * @param      $id
     * @param      $name
     * @param      $email
     * @param      $phone
     * @param      $wpUserId
     * @param null $timezone
     */
    public function __construct($id, $name, $email, $phone, $wpUserId, $timezone = NULL)
    {
        $this->name     = $name;
        $this->id       = $id;
        $this->email    = $email;
        $this->phone    = $phone;
        $this->wpUserId = $wpUserId;
        $this->timezone = $timezone;
    }

    /**
     * @return string
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getPhone()
    {
        return $this->phone;
    }

    /**
     * @return int
     */
    public function getWpUserId()
    {
        return $this->wpUserId;
    }

    /**
     * @return string
     */
    public function getTimezone()
    {
        return $this->timezone;
    }

    public function getValue()
    {
        return [
            'id'       => $this->id,
            'name'     => $this->name,
            'email'    => $this->email,
            'phone'    => $this->phone,
            'wpUserId' => $this->wpUserId,
            'timezone' => $this->timezone
        ];
    }

}