<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * CreateForm
 *
 * @package VSHM\Bus
 */
class CreateForm implements Command
{
    /**
     * @var string
     */
    private $id;

    /**
     * @var array
     */
    private $fields;

    /**
     * @var array
     */
    private $required;

    /**
     * @var array
     */
    private $active;

    /**
     * @var array
     */
    private $logic;

    /**
     * @param $id
     * @param $fields
     * @param $required
     * @param $active
     * @param $logic
     */
    public function __construct($id, $fields = [], $required = [], $active = [], $logic = [])
    {
        $this->id       = $id;
        $this->fields   = $fields;
        $this->required = $required;
        $this->active   = $active;
        $this->logic    = $logic;
    }

    /**
     * @return string
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return array
     */
    public function getFields()
    {
        return $this->fields;
    }

    /**
     * @return array
     */
    public function getRequired()
    {
        return $this->required;
    }

    /**
     * @return array
     */
    public function getActive()
    {
        return $this->active;
    }

    /**
     * @return array
     */
    public function getLogic()
    {
        return $this->logic;
    }

    public function getValue()
    {
        return [
            'id'       => $this->id,
            'fields'   => $this->fields,
            'required' => $this->required,
            'active'   => $this->active,
            'logic'    => $this->logic,
        ];
    }

}