<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * CreatePromotion
 *
 * @package VSHM\Bus
 */
class CreatePromotion implements Command
{
    /**
     * @var string
     */
    private $name;

    /**
     * @var string
     */
    private $promotionType;

    /**
     * @var string
     */
    private $discountType;

    /**
     * @var string
     */
    private $discountValue;

    /**
     * @var string
     */
    private $id;

    /**
     * @var int
     */
    private $start;

    /**
     * @var int
     */
    private $end;

    /**
     * @param $name
     * @param $promotionType
     * @param $discountType
     * @param $discountValue
     * @param $id
     * @param $start
     * @param $end
     */
    public function __construct($name, $promotionType, $discountType, $discountValue, $id, $start, $end)
    {
        $this->name          = $name;
        $this->promotionType = $promotionType;
        $this->discountType  = $discountType;
        $this->discountValue = $discountValue;
        $this->id            = $id;
        $this->start         = $start;
        $this->end           = $end;
    }

    /**
     * @return int
     */
    public function getStart()
    {
        return $this->start;
    }

    /**
     * @return int
     */
    public function getEnd()
    {
        return $this->end;
    }

    /**
     * @return string
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getPromotionType()
    {
        return $this->promotionType;
    }

    /**
     * @return string
     */
    public function getDiscountType()
    {
        return $this->discountType;
    }

    /**
     * @return string
     */
    public function getDiscountValue()
    {
        return $this->discountValue;
    }


    public function getValue()
    {
        return [
            'name'          => $this->name,
            'id'            => $this->id,
            'promotionType' => $this->promotionType,
            'discountType'  => $this->discountType,
            'discountValue' => $this->discountValue,
            'start'         => $this->start,
            'end'           => $this->end,
        ];
    }

}