<?php

namespace VSHM\Bus;

use VSHM\Settings\Promotion\CouponMode;
use VSHM\Settings\Promotion\DiscountType;
use VSHM\Settings\Promotion\MaximumUses;
use VSHM\Settings\Promotion\Name;
use VSHM\Settings\Promotion\PromotionPeriod;
use VSHM\Settings\Promotion\PromotionServices;
use VSHM\Settings\Promotion\PromotionType;
use VSHM\Settings\Promotion\TimeslotMaxEnd;
use VSHM\Settings\Promotion\TimeslotMaxEndActive;
use VSHM\Settings\Promotion\TimeslotMinStart;
use VSHM\Settings\Promotion\TimeslotMinStartActive;
use VSHM\Settings\Promotion\Value;
use VSHM\Tools;

defined('ABSPATH') || exit;

/**
 * CreatePromotionHandler
 *
 * @package VSHM\Bus
 */
class CreatePromotionHandler implements Handler
{
    public function dispatch(Command $command)
    {
        /** @var $command CreatePromotion */
        \VSHM\Providers\Promotions::store([
            PromotionType::ID              => $command->getPromotionType(),
            Name::ID                       => $command->getName(),
            Value::ID                      => $command->getDiscountValue(),
            DiscountType::ID               => $command->getDiscountType(),
            'id'                           => $command->getId(),
            PromotionPeriod::ID . '_start' => $command->getStart(),
            PromotionPeriod::ID . '_end'   => $command->getEnd(),
            'status'                       => 1,
            'data'                         => [
                PromotionServices::ID      => PromotionServices::getDefault(),
                TimeslotMinStart::ID       => TimeslotMinStart::getDefault(),
                TimeslotMinStartActive::ID => TimeslotMinStartActive::getDefault(),
                TimeslotMaxEnd::ID         => TimeslotMaxEnd::getDefault(),
                TimeslotMaxEndActive::ID   => TimeslotMaxEndActive::getDefault(),
                CouponMode::ID             => CouponMode::getDefault(),
                MaximumUses::ID            => MaximumUses::getDefault()
            ]
        ]);
    }
}