<?php

namespace VSHM\Bus;

use VSHM\Providers\ReservationsData;

defined('ABSPATH') || exit;

/**
 * CreateReservationHandler
 *
 * @package VSHM\Bus
 */
class CreateReservationHandler implements Handler
{
    public function dispatch(Command $command)
    {
        /** @var $command CreateReservation */
        \VSHM\Providers\Reservations::store([
            'id'         => $command->getId(),
            'serviceId'  => $command->getServiceId(),
            'customerId' => $command->getUserId(),
            'providerId' => $command->getProviderId(),
            'start'      => $command->getStart(),
            'end'        => $command->getEnd(),
            'status'     => $command->getStatus()
        ]);
        if (is_array($command->getData())) {
            foreach ($command->getData() as $data) {
                ReservationsData::store([
                    'reservation_id' => $command->getId(),
                    'key'            => $data['key'],
                    'value'          => $data['value']
                ]);
            }
        }

    }
}