<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * CreateService
 *
 * @package VSHM\Bus
 */
class CreateService implements Command
{
    /**
     * @var string
     */
    private $id;

    /**
     * @var string
     */
    private $name;

    /**
     * @var string
     */
    private $description;

    /**
     * @var string
     */
    private $class;

    /**
     * @var string
     */
    private $color;

    /**
     * @param $id
     * @param $name
     * @param $description
     * @param $class
     * @param $color
     */
    public function __construct($id, $name, $description, $class, $color)
    {
        $this->id          = $id;
        $this->name        = $name;
        $this->description = $description;
        $this->class       = $class;
        $this->color       = $color;
    }

    /**
     * @return string
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @return string
     */
    public function getClass()
    {
        return $this->class;
    }

    /**
     * @return string
     */
    public function getColor()
    {
        return $this->color;
    }


    public function getValue()
    {
        return [
            'id'          => $this->id,
            'name'        => $this->name,
            'description' => $this->description,
            'class'       => $this->class,
            'color'       => $this->color,
        ];
    }

}