<?php

namespace VSHM\Bus;

use VSHM\Tools;

defined('ABSPATH') || exit;

/**
 * CreateServiceHandler
 *
 * @package VSHM\Bus
 */
class CreateServiceHandler implements Handler
{
    public function dispatch(Command $command)
    {
        /** @var $command CreateService */
        \VSHM\Providers\Services::store([
            'name'        => $command->getName(),
            'description' => $command->getDescription(),
            'id'          => $command->getId(),
            'color'       => $command->getColor() ?: apply_filters('tbk_default_service_color', sprintf('#%06X', mt_rand(0, 0xFFFFFF)), $command),
            'status'      => apply_filters('tbk_default_service_status', 1, $command),
            'class'       => $command->getClass(),
        ]);
    }
}