<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * DeleteReservationPropertyHandler
 *
 * @package VSHM\Bus
 */
class DeleteReservationPropertyHandler implements Handler
{
    public function dispatch(Command $command)
    {
        /** @var $command DeleteReservationProperty */

        $reservation = \VSHM\Providers\Reservations::provideBy(['id' => $command->getReservationId()]);

        if (count($reservation) < 1) {
            // Something is wrong with the command
            return;
        }

        \VSHM\Providers\ReservationsData::removeBy(['reservation_id' => $command->getReservationId(), 'key' => $command->getKey()]);
    }
}