<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * EditLocation
 *
 * @package VSHM\Bus
 */
class EditLocation implements Command
{
    /**
     * @var string
     */
    private $name;

    /**
     * @var string
     */
    private $address;

    /**
     * @var string
     */
    private $lat;

    /**
     * @var string
     */
    private $long;

    /**
     * @var int
     */
    private $status;

    /**
     * @var int
     */
    private $capacity;

    /**
     * @var string
     */
    private $id;

    /**
     * @param      $id
     * @param      $name
     * @param      $address
     * @param      $status
     * @param      $lat
     * @param      $long
     * @param      $capacity
     */
    public function __construct($id, $name, $address, $status, $lat, $long, $capacity)
    {
        $this->id       = $id;
        $this->name     = $name;
        $this->address  = $address;
        $this->status   = (int)$status;
        $this->lat      = $lat;
        $this->long     = $long;
        $this->capacity = (int)$capacity;
    }

    /**
     * @return string
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getAddress()
    {
        return $this->address;
    }

    /**
     * @return int
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @return string
     */
    public function getLat()
    {
        return $this->lat;
    }

    /**
     * @return string
     */
    public function getLong()
    {
        return $this->long;
    }

    /**
     * @return int
     */
    public function getCapacity()
    {
        return $this->capacity;
    }

    public function getValue()
    {
        return [
            'name'     => $this->name,
            'address'  => $this->address,
            'status'   => $this->status,
            'lat'      => $this->lat,
            'long'     => $this->long,
            'capacity' => $this->capacity,
            'id'       => $this->id,
        ];
    }

}