<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * UpdateFormField
 *
 * @package VSHM\Bus
 */
class UpdateFormField implements Command
{
    /**
     * @var string
     */
    private $id;

    /**
     * @var string
     */
    private $type;

    /**
     * @var string
     */
    private $hook;

    /**
     * @var array
     */
    private $data;

    /**
     * @var string
     */
    private $label;

    /**
     * @var string
     */
    private $description;

    /**
     * @param $id
     * @param $type
     * @param $hook
     * @param $label
     * @param $data
     * @param $description
     */
    public function __construct($id, $type, $hook, $label, $data = [], $description = NULL)
    {
        $this->id          = $id;
        $this->type        = $type;
        $this->hook        = $hook;
        $this->label       = $label;
        $this->data        = $data;
        $this->description = $description;
    }

    /**
     * @return string
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @return string
     */
    public function getHook()
    {
        return $this->hook;
    }

    /**
     * @return string
     */
    public function getLabel()
    {
        return $this->label;
    }

    /**
     * @return array
     */
    public function getData()
    {
        return $this->data;
    }

    /**
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    public function getValue()
    {
        return [
            'id'          => $this->id,
            'type'        => $this->type,
            'hook'        => $this->hook,
            'label'       => $this->label,
            'description' => $this->description,
            'data'        => $this->data,
        ];
    }

}