<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * UpdateOrCreateReservationPropertyHandler
 *
 * @package VSHM\Bus
 */
class UpdateOrCreateReservationPropertyHandler implements Handler
{
    public function dispatch(Command $command)
    {
        /** @var $command UpdateOrCreateReservationProperty */

        $reservation = \VSHM\Providers\Reservations::provideBy(['id' => $command->getId()], TRUE);

        if (!$reservation) {
            // Something is wrong with the command
            return;
        }

        $currentData = \VSHM\Providers\ReservationsData::provideBy([
            'key'            => $command->getPropKey(),
            'reservation_id' => $command->getId()
        ]);

        $record = [
            'reservation_id' => $command->getId(),
            'key'            => $command->getPropKey(),
            'value'          => $command->getPropValue(),
        ];

        if (count($currentData) > 0) {
            \VSHM\Providers\ReservationsData::update($record);
        } else {
            \VSHM\Providers\ReservationsData::store($record);
        }
    }
}