<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * UpdateOrCreateServicePersonalPropertyHandler
 *
 * @package VSHM\Bus
 */
class UpdateOrCreateServicePersonalPropertyHandler implements Handler
{
    public function dispatch(Command $command)
    {
        /** @var $command UpdateOrCreateServicePersonalProperty */

        $currentData = \VSHM\Providers\ServiceProviderCustomData::provideBy([
            'key'         => $command->getKey(),
            'provider_id' => $command->getProviderId(),
            'service_id'  => $command->getServiceId()
        ]);

        $record = [
            'service_id'  => $command->getServiceId(),
            'key'         => $command->getKey(),
            'provider_id' => $command->getProviderId(),
            'value'       => $command->getValue(),
        ];

        if (count($currentData) > 0) {
            \VSHM\Providers\ServiceProviderCustomData::update($record);
        } else {
            \VSHM\Providers\ServiceProviderCustomData::store($record);
        }
    }
}