<?php

namespace VSHM\Bus;

defined('ABSPATH') || exit;

/**
 * UpdateOrCreateServicePropertyHandler
 *
 * @package VSHM\Bus
 */
class UpdateOrCreateServicePropertyHandler implements Handler
{
    public function dispatch(Command $command)
    {
        /** @var $command UpdateOrCreateServiceProperty */

        $service = \VSHM\Providers\Services::provideBy(['id' => $command->getServiceId()], TRUE);

        if (!$service) {
            // Something is wrong with the command
            return;
        }

        if (isset($service[ $command->getKey() ]) && $service[ $command->getKey() ] !== $command->getValue()) {
            $service[ $command->getKey() ] = $command->getValue();
            \VSHM\Providers\Services::update($service);

            return;
        }

        $currentData = \VSHM\Providers\ServicesData::provideBy([
            'key'        => $command->getKey(),
            'service_id' => $command->getServiceId()
        ]);

        $record = [
            'service_id' => $command->getServiceId(),
            'key'        => $command->getKey(),
            'value'      => $command->getValue(),
        ];

        if (count($currentData) > 0) {
            \VSHM\Providers\ServicesData::update($record);
        } else {
            \VSHM\Providers\ServicesData::store($record);
        }
    }
}