<?php

namespace VSHM\Modules\Gcal3Way;

use VSHM\Bus\Command;
use VSHM\Bus\Hook;
use VSHM\Modules\Gcal2Ways;
use VSHM\Settings\GoogleAllowSlotCommands;
use VSHM\Settings\GoogleApiApplicationName;
use VSHM\Settings\GoogleApiClientId;
use VSHM\Settings\GoogleApiClientSecret;
use VSHM\Settings\GoogleFetchDelay;

defined('ABSPATH') || exit;

class SaveSettings extends Hook
{

    public static function hook(): void
    {
        add_action('vshm_dispatching_SaveSettings', [self::class, 'callback']);
    }

    public static function callback(Command $command): void
    {
        /** @var $command  \VSHM\Bus\SaveSettings */
        $settings = $command->getSettings();
        $to_save  = [];
        foreach ($settings as $key => $setting) {
            if (
                $key === GoogleApiClientId::ID
                || $key === GoogleApiClientSecret::ID
                || $key === GoogleApiApplicationName::ID
                || $key === GoogleAllowSlotCommands::ID
                || $key === GoogleFetchDelay::ID
            ) {
                $to_save[ $key ] = $setting;
                unset($settings[ $key ]);
            }
        }
        $command->setSettings($settings);
        $options = $to_save + Gcal2Ways::_get_options();
        update_option(Gcal2Ways::OPTIONS_TAG, $options);
    }
}