<?php

namespace VSHM\Routes\Reservations;

use VSHM\Functions;
use VSHM\REST_Controller;
use VSHM\Routes\ReservationsRoute;
use VSHM\Routes\SingleRoute;

defined('ABSPATH') || exit;

/**
 * Class Get
 *
 * @package VSHM\Routes\Reservations
 */
class DataGet implements SingleRoute
{
    public static function getPath(): string
    {
        return ReservationsRoute::getPath() . 'data/get/';
    }

    public static function get(): array
    {
        return [
            'methods'             => \WP_REST_Server::READABLE,
            'callback'            => function (\WP_REST_Request $request) {
                $reservation_id = $request->get_param('reservation_id');

                return REST_Controller::get_ok_response(self::getPath(), ['data' => ReservationsRoute::prepare_data_for_frontend($reservation_id)]);
            },
            'args'                => [
                'reservation_id' => [
                    'type'     => 'string',
                    'required' => TRUE
                ]
            ],
            'permission_callback' => static function () {
                return Functions::current_user_is_provider();
            }
        ];
    }
}