<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Alert;
use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class AllowCart
 *
 * @package VSHM
 */
class AllowCart extends SettingBase
{

    public const ID = 'allowCart';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Toggle::get(__('Allow multiple slots selection', 'team-booking'), self::ID);
        $element->setDescription(__('If active, customers are be able to extend the reservation duration by selecting consecutive time slots.', 'team-booking'));
        $element->setAlert(Alert::info(__('Refer to the documentation to know all the implications.', 'team-booking')));

        return $element;
    }

    public static function getDefault(): bool
    {
        return FALSE;
    }

    public static function whitelist($value, string $version)
    {
        return filter_var($value, FILTER_VALIDATE_BOOLEAN);
    }
}