<?php

namespace VSHM\Settings;

use VSHM\Tools;
use VSHM\UI\Admin\Element_Setting;
use VSHM\UI\Admin\Settings_Option;

defined('ABSPATH') || exit;

/**
 * Class CurrencyCode
 *
 * @package VSHM
 */
class CurrencyCode extends SettingBase
{
    public const ID = 'currencyCode';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Select::get(__('Currency', 'team-booking'), self::ID);
        foreach (Tools::getCurrencies() as $code => $currency) {
            $element->addOption(Settings_Option::get($code . ' - ' . $currency['label'] . ' (' . html_entity_decode($currency['symbol']) . ')', $code));
        }

        return $element;
    }

    public static function getDefault(): string
    {
        return 'USD';
    }

    public static function whitelist($value, string $version): string
    {
        return array_key_exists((string)$value, Tools::getCurrencies()) ? (string)$value : static::getDefault();
    }
}