<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class GoogleApiApplicationName
 *
 * @package VSHM
 */
class GoogleApiApplicationName extends SettingBase
{

    public const ID = 'googleApiApplicationName';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Input::get(__('API App Name', 'team-booking'), self::ID);
        $element->setDescription(__('Google Cloud Platform console > OAuth Consent screen > Edit App (button) > App name', 'team-booking'));

        return $element;
    }

    public static function getDefault(): string
    {
        return '';
    }
}