<?php

namespace VSHM\Settings;

use VSHM\Modules\Gcal2Ways;
use VSHM\REST_Controller;
use VSHM\UI\Admin\Element_Setting;
use VSHM\UI\Admin\Settings_Content;

defined('ABSPATH') || exit;

/**
 * Class GoogleApiAutorizedOrigin
 *
 * @package VSHM
 */
class GoogleApiAutorizedOrigin extends SettingBase
{

    public const ID = 'googleApiAuthorizedOrigin';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Informative::get(__('Google API Authorized JS Origin', 'team-booking'), self::ID);
        $element->setDescription(__('Copy/Paste this link in the Authorized JS Origin field of the Google Project', 'team-booking'));
        $element->addContent(Settings_Content::Text(get_home_url()));

        return $element;
    }

    public static function getDefault(): string
    {
        return '';
    }
}