<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class GoogleApiClientId
 *
 * @package VSHM
 */
class GoogleApiClientId extends SettingBase
{

    public const ID = 'googleApiClientId';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Input::get(__('API Client ID', 'team-booking'), self::ID);
        $element->setDescription(__('Google Cloud Platform console > Credentials > Client ID', 'team-booking'));

        return $element;
    }

    public static function getDefault(): string
    {
        return '';
    }
}