<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class GoogleApiClientSecret
 *
 * @package VSHM
 */
class GoogleApiClientSecret extends SettingBase
{

    public const ID = 'googleApiClientSecret';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Input::get(__('API Client Secret', 'team-booking'), self::ID);
        $element->setDescription(__('Google Cloud Platform console > Credentials > Client ID > Edit oAuth Client (pencil icon) > Client Secret', 'team-booking'));

        return $element;
    }

    public static function getDefault(): string
    {
        return '';
    }
}