<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Alert;
use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class GoogleFetchDelay
 *
 * @package VSHM
 */
class GoogleFetchDelay extends SettingBase
{

    public const ID = 'googleFetchDelay';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Number::get(__('Google Calendar fetch delay', 'team-booking'), self::ID);
        $element->setDescription(__('If greater than 0, Google Calendar availability events will be cached for the specified time (in seconds)', 'team-booking'));
        $element->setAlert(Alert::info(__("If Google Calendar availability is not changed too often, consider raising that value to spare Google API quota. Keep in mind that events added in Google Calendar won't be recognized by the plugin until this interval has passed.", 'team-booking')));

        return $element;
    }

    public static function getDefault(): int
    {
        return 0;
    }

    public static function whitelist($value, string $version)
    {
        return (int)$value;
    }
}