<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Alert;
use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class GoogleMapsApiKey
 *
 * @package VSHM
 */
class GoogleMapsApiKey extends SettingBase
{
    public const ID = 'googleMapsApiKey';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Input::get(__('Google Maps API key', 'team-booking'), self::ID);
        $element->setDescription(__("If you don't have a Google Maps API key already, please check the documentation in order to know how to obtain it.", 'team-booking'));

        return $element;
    }

    public static function getDefault(): string
    {
        return '';
    }
}