<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Alert;
use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class LoadCalendarAtClosestSlot
 *
 * @package VSHM
 */
class LoadCalendarAtClosestSlot extends SettingBase
{

    public const ID = 'loadCalendarAtClosestSlot';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Toggle::get(__('Load the calendar at the closest date with available slots', 'team-booking'), self::ID);
        $element->setDescription(__('If active, the frontend calendar will be loaded at the closest date with at least one available slot', 'team-booking'));
        $element->setAlert(Alert::warning(__('Page loading can be slower if this option is active.', 'team-booking')));

        return $element;
    }

    public static function getDefault(): bool
    {
        return FALSE;
    }

    public static function whitelist($value, string $version)
    {
        return filter_var($value, FILTER_VALIDATE_BOOLEAN);
    }
}