<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Alert;
use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class LoadMapsAutocomplete
 *
 * @package VSHM
 */
class LoadMapsAutocomplete extends SettingBase
{

    public const ID = 'loadMapsAutocomplete';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Toggle::get(__('Use Google Places to autocomplete addresses', 'team-booking'), self::ID);
        $element->setDescription(__('Turn this setting on if you want the Address field in reservation form to autocomplete with Google Places', 'team-booking'));
        $element->setAlert(Alert::warning(__('This may have considerable impact on your Google Cloud usage billing', 'team-booking')));

        return $element;
    }

    public static function getDefault(): bool
    {
        return FALSE;
    }

    public static function whitelist($value, string $version)
    {
        return filter_var($value, FILTER_VALIDATE_BOOLEAN);
    }
}