<?php

namespace VSHM\Settings\Promotion;

use VSHM\UI\Admin\Element_Setting;
use VSHM\UI\Admin\Settings_Dependency;

defined('ABSPATH') || exit;

/**
 * Class CouponMode
 *
 * @package VSHM
 */
class CouponMode extends PromotionSettingBase
{
    public const ID    = 'couponMode';

    public const LIST  = 'list';
    public const FIXED = 'fixed';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Radios::get(__('Coupon mode', 'team-booking'), self::ID);
        $element->setDescription(__('If fixed, the coupon text will be equal to the promotion name. Otherwise, you can provide a list of comma-separated single use coupons. Check the documentation for details.', 'team-booking'));
        $element->addOption(\VSHM\UI\Admin\Settings_Option::get(__('Fixed', 'team-booking'), self::FIXED));
        $element->addOption(\VSHM\UI\Admin\Settings_Option::get(__('List', 'team-booking'), self::LIST));

        $element->addDependency(Settings_Dependency::EQUAL(PromotionType::ID, PromotionType::COUPON));

        return $element;
    }

    public static function getDefault(): string
    {
        return self::FIXED;
    }
}