<?php

namespace VSHM\Settings\Promotion;

use VSHM\UI\Admin\Alert;
use VSHM\UI\Admin\Element_Setting;
use VSHM\UI\Admin\Settings_Dependency;

defined('ABSPATH') || exit;

/**
 * Class MaximumUses
 *
 * @package VSHM
 */
class MaximumUses extends PromotionSettingBase
{

    public const ID = 'maxUses';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Number::get(__('Max uses', 'team-booking'), self::ID);
        $element->setDescription(__("How many times (i.e. reservations) the discount can be used globally. Set 0 for no limit.", 'team-booking'));
        $element->setMin(0);
        $element->setStep(1);
        $element->addDependency(Settings_Dependency::EQUAL(CouponMode::ID, CouponMode::FIXED));

        return $element;
    }

    public static function getDefault(): int
    {
        return 0;
    }
}