<?php

namespace VSHM\Settings\Promotion;

use VSHM\Providers\Services;
use VSHM\UI\Admin\Alert;
use VSHM\UI\Admin\Element_Setting;
use VSHM\UI\Admin\Settings_Dependency;
use VSHM\UI\Admin\Settings_Option;

defined('ABSPATH') || exit;

/**
 * Class AllowedServices
 *
 * @package VSHM
 */
class PromotionServices extends PromotionSettingBase
{

    public const ID = 'tbk_PromotionServices';

    public static function getBackendElement(): Element_Setting
    {
        $services = Services::provide();

        $element = \VSHM\UI\Admin\Settings_Checkboxes::get(__('Target services', 'team-booking'), self::ID);
        $element->setDescription(__('Select the services to which this promotion applies.', 'team-booking'));

        foreach ($services as $service) {
            $option = Settings_Option::get($service['name'], $service['id']);
            $element->addOption($option);
        }

        return $element;
    }


    /**
     * @return array
     */
    public static function getDefault(): array
    {
        return [];
    }
}