<?php

namespace VSHM\Settings\Promotion;

use VSHM\UI\Admin\Element_Setting;
use VSHM\UI\Admin\Settings_Dependency;

defined('ABSPATH') || exit;

/**
 * Class TimeslotMaxEnd
 *
 * @package VSHM
 */
class TimeslotMaxEnd extends PromotionSettingBase
{
    public const ID = 'timeslotMaxEnd';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Date::get(__('Time slot max end date', 'team-booking'), self::ID);
        $element->setDescription(__('The promotion is valid only for time slots that end by or before this date.', 'team-booking'));
        $element->addDependency(Settings_Dependency::TRUTHY(TimeslotMaxEndActive::ID));

        return $element;
    }

    public static function getDefault()
    {
        return '';
    }
}