<?php

namespace VSHM\Settings\Provider;

use VSHM\Settings\SettingBase;

defined('ABSPATH') || exit;

/**
 * Implements some common setting methods.
 *
 * Defines an interface for a generic service setting.
 *
 * @package VSHM
 */
abstract class ProviderSettingBase extends SettingBase
{
    public static function subscribe(): void
    {
        add_filter('vshm_default_provider_settings', static function ($defaults, $slug) {
            if ($slug === vshm()->plugin['SLUG']) {
                $defaults[ static::ID ] = static::getDefault();
            }

            return $defaults;
        }, 10, 2);
        add_filter('tbk_provider_meta_keys', static function ($metaKeys) {
            $metaKeys[] = static::ID;

            return $metaKeys;
        });
        add_filter('tbk_provider_meta_value', static function ($value, $metaKey) {

            if ($metaKey === static::ID) {
                return static::whitelist($value, vshm()->plugin['VERSION']);
            }

            return $value;

        }, 10, 2);
    }
}
