<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Alert;
use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class RegistrationUrl
 *
 * @package VSHM
 */
class RegistrationUrl extends SettingBase
{

    public const ID = 'registrationUrl';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Input::get(__('Registration URL', 'team-booking'), self::ID);
        $element->setDescription(__('When attempting to book a service for logged-in users only, customers are invited to register here.', 'team-booking'));
        $element->setPlaceholder(wp_registration_url());
        $element->setAlert(Alert::info(__('Leave empty for the WordPress default', 'team-booking')));

        return $element;
    }

    public static function getDefault(): ?string
    {
        return wp_registration_url();
    }

    public static function whitelist($value, string $version): ?string
    {
        return filter_var($value, FILTER_VALIDATE_URL) ? $value : static::getDefault();
    }
}