<?php

namespace VSHM\Settings\Service;

use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class Name
 *
 * @package VSHM
 */
class Name extends ServiceSettingBase
{

    public const ID = 'name';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Input::get(__('Name', 'team-booking'), self::ID);
        $element->setDescription(__('Choose the name of the service', 'team-booking'));

        return $element;
    }

    public static function getProcessedDefault($service)
    {
        if ($service['name']) {
            return $service['name'];
        }

        return self::getDefault();
    }

    public static function getDefault(): string
    {
        return '';
    }
}