<?php

namespace VSHM\Settings\Service;

use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class Personal_Participate
 *
 * @package VSHM
 */
class Personal_Participate extends ServicePersonalSettingBase
{
    public const ID = 'participate';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Toggle::get(__('Participate', 'team-booking'), self::ID);
        $element->setDescription(__('Turn this off if you want to avoid your availability events being counted for this service. Useful as a temporary need, e.g. vacations, as it allows you to keep your availability schedule untouched.', 'team-booking'));

        return $element;
    }

    public static function getDefault(): bool
    {
        return TRUE;
    }

    public static function whitelist($value, string $version)
    {
        return filter_var($value, FILTER_VALIDATE_BOOLEAN);
    }
}