<?php

namespace VSHM\Settings\Service;

use VSHM\Settings\CurrencyCode;
use VSHM\Tools;
use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class Price
 *
 * @package VSHM
 */
class Price extends ServiceSettingBase
{

    public const ID = 'price';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Number::get(__('Price', 'team-booking'), self::ID);
        $element->setDescription(__("If zero, won't appear. To change the currency, go to Payment Gateways tab.", 'team-booking'));
        $element->setMin(0);
        $element->setStep(Tools::getCurrencies(vshm()->settings()[ CurrencyCode::ID ])['decimal'] ? 0.01 : 1);
        // TODO
        $element->setPrefix(vshm()->settings()[ CurrencyCode::ID ]);

        return $element;
    }

    public static function getDefault()
    {
        return 0;
    }
}