<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 *  Class SettingPrimaryColor
 *
 * @package VSHM
 */
class SettingPrimaryColor extends SettingCustomizer
{
    public const ID = 'primaryColor';

    public static function customize_register($wp_customize, string $plugin_slug): void
    {
        parent::customize_register($wp_customize, $plugin_slug);

        if ($plugin_slug === vshm()->plugin['SLUG']) {
            $wp_customize->add_control(new \WP_Customize_Color_Control($wp_customize, static::get_option_id(), [
                'label'   => static::getLabel(),
                'section' => static::getSection()
            ]));
        }
    }

    public static function getLabel(): string
    {
        return __('Primary widget color', 'team-booking');
    }

    /**
     * @return string
     */
    public static function getSection(): string
    {
        return vshm()->plugin['SLUG'] . '-style';
    }

    /**
     * @var string
     */
    public static $sanitizeCallback = 'sanitize_hex_color';

    public static function getDefault(): string
    {
        return '#1890ff';
    }

    public static function whitelist($value, string $version): string
    {
        return sanitize_hex_color($value) ?: static::getDefault();
    }
}
