<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class SkipGoogleMapsLib
 *
 * @package VSHM
 */
class SkipGoogleMapsLib extends SettingBase
{

    public const ID = 'skipGoogleMapsLib';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Toggle::get(__('Skip Google Maps library loading', 'team-booking'), self::ID);
        $element->setDescription(__('Turn this setting on if you are having troubles with Google Maps JS library loaded by another plugin or theme.', 'team-booking'));

        return $element;
    }

    public static function getDefault(): bool
    {
        return FALSE;
    }

    public static function whitelist($value, string $version)
    {
        return filter_var($value, FILTER_VALIDATE_BOOLEAN);
    }
}