<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Alert;
use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class UseCache
 *
 * @package VSHM
 */
class UseCache extends SettingBase
{

    public const ID = 'useCache';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Toggle::get(__('Use cache', 'team-booking'), self::ID);
        $element->setDescription(__('If active, the plugin will use the current available caching system to optimize loading times.', 'team-booking'));
        $element->setAlert(Alert::info(__('Disable caching may have a big impact on the overall speed of the plugin. Disable it if you are experiencing issues with your current caching system.', 'team-booking')));

        return $element;
    }

    public static function getDefault(): bool
    {
        return TRUE;
    }

    public static function whitelist($value, string $version)
    {
        return filter_var($value, FILTER_VALIDATE_BOOLEAN);
    }
}