<?php

namespace VSHM\Settings;

use VSHM\UI\Admin\Element_Setting;

defined('ABSPATH') || exit;

/**
 * Class ZoomApiKey
 *
 * @package VSHM
 */
class ZoomApiKey extends SettingBase
{
    public const ID = 'zoomApiKey';

    public static function getBackendElement(): Element_Setting
    {
        $element = \VSHM\UI\Admin\Settings_Input::get(__('Zoom API key', 'team-booking'), self::ID);

        return $element;
    }

    public static function getDefault(): string
    {
        return '';
    }

    public static function whitelist($value, string $version)
    {
        return filter_var($value, FILTER_UNSAFE_RAW);
    }
}